@compatibility @nms
Feature: Compatibility - NMS node identity (nodeinfo) generation
  To support an interoperable Corda network, a Corda node must have the ability to transact with another Corda node
  when each node have generated "NodeInfos" by different NMS versions (both Corda Enterprise and Corda).

  Scenario Outline: Corda (OS) node can transact with another Corda (OS) node where node infos are generated by different versions of Corda OS
    Given a node A of version <Corda-Node-Version-X>
    And node A has the finance app installed
    And a node B of version <Corda-Node-Version-Y>
    And node B has the finance app installed
    When the network is ready
    Then node A can transfer 100 tokens to node B

  Examples:
      | Corda-Node-Version-X | Corda-Node-Version-Y |
      | corda-3.0            | corda-3.1            |
      | corda-master         | corda-3.0            |
      | corda-master         | corda-3.1            |

  Scenario Outline: Corda Enterprise node can transact with another Corda Enterprise node where node infos are generated by different versions of Corda Enterprise
    Given a node A of version <Corda-Node-Version-X>
    And node A has the finance app installed
    And a node B of version <Corda-Node-Version-Y>
    And node B has the finance app installed
    When the network is ready
    Then node A can transfer 100 tokens to node B

    Examples:
      | Corda-Node-Version-X         | Corda-Node-Version-Y |
      | R3.CORDA-3.0.0-DEV-PREVIEW-3 | r3-master            |

  Scenario Outline: Corda Enterprise node can transact with another Corda (OS) node where node infos are generated by different distributions Corda
    Given a node A of version <Corda-Node-Version-X>
    And node A has the finance app installed
    And a node B of version <Corda-Node-Version-Y>
    And node B has the finance app installed
    When the network is ready
    Then node A can transfer 100 tokens to node B

    Examples:
      | Corda-Node-Version-X         | Corda-Node-Version-Y |
      | R3.CORDA-3.0.0-DEV-PREVIEW-3 | corda-3.0            |
      | R3.CORDA-3.0.0-DEV-PREVIEW-3 | corda-3.1            |
      | R3.CORDA-3.0.0-DEV-PREVIEW-3 | corda-master         |
      | r3-master                    | corda-3.0            |
      | r3-master                    | corda-3.1            |
      | r3-master                    | corda-master         |
